%global pkg_name regex-tdfa

%global common_summary Haskell regular expression library

%global common_description A new all Haskell "tagged" DFA regex engine, inspired by libtre.

%global ghc_pkg_deps ghc-regex-base-devel,ghc-parsec-devel,ghc-mtl-devel


Name:           ghc-%{pkg_name}
Version:        1.1.8
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%{?ghc_lib_package}


%changelog
* Mon Apr 18 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.8-1
- package updated to 1.1.8. Updated to cabal2spec 0.22.5.

* Fri Mar 11 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.7-6
Rebuild for ghc-7.0.2

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.7-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.7-3
- rebuild for ghc7
- update to cabal2spec 0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.1.7-2
- rebuild

* Sun Nov 28 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.7-1
- updated to 1.1.7

* Sun Nov 28 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.6-2
- Rebuilding for ghc7

* Sun Oct 31 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.6-1
- package updated to 1.1.6

* Sat Sep 18 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.4-1
- using ghc-rpm-macros 0.8.1 
- package updated to 1.1.4

* Sat Jul  3 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 1.1.3-1
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
- Updated to use ghc_lib_package, ghc_lib_build, ghc_lib_install macros instead of cabal macros

* Tue May 25 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.2-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.3
